<?xml version="1.0" encoding="UTF-8"?>

<project name="ABVJE_BL" default="deploy" basedir="./">
	<property name="path.build.src" value="${basedir}/src"/>
	<property name="path.build.lib" value="${basedir}/lib"/>
	<property name="path.export" value="${basedir}/export"/>
	<property name="path.export.jar" value="${path.export}/jar"/>
	<property name="path.bin" value="${basedir}/bin"/>

	<property file="${basedir}/build.properties"/>

	<path id="abvje.compile.classpath">
		<fileset dir="${path.build.lib}">
			<include name="*.jar"/>
		</fileset>
	</path>
	<target name="deploy" depends="build">
	    <!--
		<copy todir="${path.deploy.ABVJE_UI}/libs">
			<fileset dir="${path.export.jar}">
				<include name="**/*.jar"/>
			</fileset>
			<fileset dir="${path.build.lib}">
				<include name="**/*.jar"/>
			</fileset>
		</copy>

		<copy todir="${path.deploy.ABVJE_UIVIEW}/libs">
			<fileset dir="${path.export.jar}">
				<include name="**/*.jar"/>
			</fileset>
			<fileset dir="${path.build.lib}">
				<include name="**/*.jar"/>
			</fileset>
		</copy>
	
		<copy todir="${path.deploy.ABVJE_COREUI}/libs">
			<fileset dir="${path.export.jar}">
				<include name="**/*.jar"/>
			</fileset>
			<fileset dir="${path.build.lib}">
				<include name="**/*.jar"/>
			</fileset>
		</copy>
		-->
		<copy todir="${path.deploy.ABVJE_Launcher}/libs">
			<fileset dir="${path.export.jar}">
				<include name="**/*.jar"/>
			</fileset>
			<!--
			<fileset dir="${path.build.lib}">
				<include name="**/*.jar"/>
			</fileset>
			-->
		</copy>
	</target>
	
	<target name="build" depends="abvje.compile">
		<jar jarfile="${path.export.jar}/${abvje.jar.name}.jar" basedir="${path.bin}"/>
	</target>

	<target name="abvje.compile" depends="abvje.compile.prepare">
		<javac target="1.6" srcdir="${path.build.src}" destdir="${path.bin}"
			encoding="UTF-8" debug="${abvje.compile.debug}" includeantruntime="false">
			<classpath refid="abvje.compile.classpath"/>
			<compilerarg compiler="org.eclipse.jdt.core.JDTCompilerAdapter" line="-1.6 -warn:+boxing"/>
			<compilerarg value="-Xlint:deprecation" />
			<compilerarg value="-Xlint:unchecked" />
			<exclude name="${abvje.compile.excludes}"/>
	    </javac>
	</target>

	<target name="abvje.compile.prepare" depends="abvje.compile.clean">
		<mkdir dir="${path.export.jar}"/>
		<mkdir dir="${path.bin}"/>
		<!--<ant antfile="${path.compile.ABVJE_Core}/build.xml" inheritall="false">
			<property file="${path.compile.ABVJE_Core}/build.properties"></property>
		</ant>
		<ant antfile="${path.compile.ABVJE_CL}/build.xml" inheritall="false">
			<property file="${path.compile.ABVJE_CL}/build.properties"></property>
		</ant>
		<ant antfile="${path.compile.ABVJE_DL}/build.xml" inheritall="false">
			<property file="${path.compile.ABVJE_DL}/build.properties"></property>
		</ant>-->
	</target>

	<target name="abvje.compile.clean">
		<delete dir="${path.export}"/>
		<delete dir="${path.bin}"/>
	</target>
</project>
